package jobqueue

import (
	"time"
)

type JobStats struct {
	RunCount     int `json:"run_count"`
	SuccessCount int `json:"success_count"`
	ErrorCount   int `json:"error_count"`
	TimeMetrics  struct {
		AvgRunTime   time.Duration `json:"avg"`
		MaxRunTime   time.Duration `json:"max"`
		MinRunTime   time.Duration `json:"min"`
		TotalRunTime time.Duration `json:"total"`
	} `json:"time_metrics"`
}
